commit ffc56239787cdb5b0306baa8368923753f5891e6
Author: Gabriel F. T. Gomes <gabriel@inconstante.eti.br>
Date:   Mon May 14 09:04:28 2018 -0300

    Fix parameter type in C++ version of iseqsig (bug 23171)
    
    The commit
    
      commit c85e54ac6cef0faed7b7ffc722f52523dec59bf5
      Author: Gabriel F. T. Gomes <gabriel@inconstante.eti.br>
      Date:   Fri Nov 3 10:44:36 2017 -0200
    
          Provide a C++ version of iseqsig (bug 22377)
    
    mistakenly used double parameters in the long double version of iseqsig,
    thus causing spurious conversions to double, as reported on bug 23171.
    
    Tested for powerpc64le and x86_64.
    
    (cherry picked from commit fb0e10b8eb1ebb68c57d4551f7a95118f3c54837)

diff --git a/ChangeLog b/ChangeLog
index 88e9e7ae1e..6fba508ae1 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2018-05-24  Gabriel F. T. Gomes  <gabriel@inconstante.eti.br>
+
+	[BZ #23171]
+	* math/math.h [C++] (iseqsig): Fix parameter type for the long
+	double version.
+
 2018-06-12  Carlos O'Donell  <carlos@redhat.com>
 	    Andreas Schwab  <schwab@suse.de>
 	    Dmitry V. Levin  <ldv@altlinux.org>
diff --git a/NEWS b/NEWS
index c7e2cef59b..2dab66e851 100644
--- a/NEWS
+++ b/NEWS
@@ -75,6 +75,7 @@ The following bugs are resolved with this release:
     build with -Os)
   [23152] gd_GB: Fix typo in "May" (abbreviated)
   [23166] sunrpc: Remove stray exports without --enable-obsolete-rpc
+  [23171] Fix parameter type in C++ version of iseqsig
   [23196] __mempcpy_avx512_no_vzeroupper mishandles large copies
   [23236] Harden function pointers in _IO_str_fields
   [23259] Unsubstituted ${ORIGIN} remains in DT_NEEDED for AT_SECURE
diff --git a/math/math.h b/math/math.h
index 3c515f817f..0fcbd91366 100644
--- a/math/math.h
+++ b/math/math.h
@@ -1223,7 +1223,7 @@ template<> struct __iseqsig_type<double>
 
 template<> struct __iseqsig_type<long double>
 {
-  static int __call (double __x, double __y) throw ()
+  static int __call (long double __x, long double __y) throw ()
   {
 #  ifndef __NO_LONG_DOUBLE_MATH
     return __iseqsigl (__x, __y);

